Welcome to XC Reports

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage

The XC Reports is a viewer/container for reports created by Crystal Reports. Crystal Reports is a popular report generation tool used widely throughout the world. Once the report is created in Crystal Reports, it can be added to the report library and accessed by XC Reports.

XConnect is installed with an array of reports displaying system, data and diagnostic data. XC Reports is designed for the database storage option in XConnect. Using the power of Crystal Reports to generate new reports, XConnect now has the mechanism to add new reports easily to its library to fill the demands of changing customer requirements.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around in XC Reports

The XC Reports application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The main report area holds the Report Manager/Report Viewer:

    • The Report Manager

    • The Report Viewer

  • The Report Properties panel displays information about the report; when and who created it and their comments.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Changing the database source

XC Reports displays data from a database. Easily the database can be changed, as long as it is defined in the Data Sources (ODBC) control applet. To change data sources:

  1. Start XC Reports from the Start Menu or from a desktop icon.

  2. From the Database menu, select Disconnect or from the toolbar click on the [image] icon to disconnect from the current data source.

  3. Next, from the Database menu, select Connect or from the toolbar click on the [image] icon to select a new data source.

  4. The XC Report Database Login window will appear.

  5. Click on the Database Alias list box to select the new data source.

  6. Enter User Name and Password for data source and click OK.

  7. XC Reports will attempt to connect to selected data source using the user name and password entered.


Toggling between the Report Manager and Report Viewer

Toggling between the Report Manager and the Report Viewer

XC Reports provides to main views: Report Manager and Report Viewer. The user can easily toggle between the two views using easy access toolbar buttons: Report Manager ( [image]) or the Report Viewer ( [image]).

Report Manager

Report Viewer

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Running a Report

Running a report in XC Report is as simple as double-clicking on the file in the Report Library, or from the Reports main menu, select the Run Report or from the toolbar click on the [image] icon.


Exporting reports

XC Reports can conveniently export the reports in a variety of formats. This provides a flexible method to exchange and transport the reports. To export a report:

  1. Start XC Reports from the Start Menu or from a desktop icon.

  2. Select a report and select Run Report from the Reports main menu or from the toolbar click on the [image] icon.

  3. The report will be displayed in the Report Viewer.

  4. From the File main menu, select Export or from the Report Viewer panel click the [image] icon.

  5. The Export selection window will appear.

  6. Select the desired options on the next several windows including the name of the exported file.


Adding a new Report

New reports can easily be added to the Report Manager. New reports must be created in Crystal Reports. Crystal Reports must be purchased separately. The user will design a new report (.RPT) in the Crystal Reports development environment and test it. Once the report has been successfully tested, then it can be added and distributed as an available report in XC Reports.

XC Reports is only a report viewer. Adding a report just takes a few steps and a simple wizard assist the user in this task. To add a report:

  1. Start XC Reports from the Start Menu or from a desktop icon.

  2. From the Reports menu, select Register Report or from the toolbar click on the [image] icon.

  3. The Welcome wizard window will appear. Click Next to advance to the next step.

  4. The Report Setup window appears next to allow selection and configuration of the new report.

  5. Complete the report setup parameters and click Next.

  6. The final setup window will appear. Review the report setup parameters and click Finish to complete adding the report.

Report Setup Parameters

  • New Crystal Report

    • File - Name of new Crystal Report file (.RPT) located on hard disk.

    • Title - Title for new report. This will be the title displayed in the Report Manager view.

    • Enabled - Check to activate the report. Reports cannot run unless they are enabled.

  • Setup Requirements

    • Time Range Required - Check this box if the report requires the user to select a time range to run.

    • Filter File Required - Check this box if the report requires the user to select a filter file to run.

    • Station Selection Required - Check this box if the report requires the user to select a station(s) to run.

    • Sensor Selection Required - Check this box if the report requires the user to select a sensor(s) to run.

Note: Required flags should be set to correspond with the Crystal Report file. If the designer intended the report to require station or sensor selection, then the appropriate boxes should be checked. If properly checked, XC Reports will open an intuitive wizard to assist the use in their selection. If incorrectly checked, then the wizard will appear when not required or the default Crystal Reports prompt will appear which is not as intuitive as the wizard.

  • Available Categories

To help organize the many reports, they can be categorized. Afterwards, selecting a category from the Report Manager will then only display files designated in that category. Four default categories are provided.

  • Category List - Select a category, if desired, for the report.

  • Add - Enter a new category in the edit box next to the Add button. Click Add to add the new category to the Category List


Removing a Report

Reports can be removed from the Report Manager list. This does not delete the report file (.RPT) from the hard disk. To remove a report:

  1. Start XC Reports from the Start Menu or from a desktop icon.

  2. From the Reports menu, select Remove Report or from the toolbar click on the [image] icon.

  3. Finally, the user will be asked to confirm to remove the file from the report list.


Status messages

XC Reports confirms the user would like to remove the report title from the Report Manager list. The report file is not deleted from the hard disk. The report may be added back at any time.

XC Reports confirms the user would like to disconnect from the current database source. Disconnecting from a data source prevents any reports from being run.

In the Report Wizard, if a filter file was selected, the user is reminded to apply the filter by clicking the Apply button.

XC Reports is attempting to connect to the database (ODBC) source.

XC Reports has successfully connected to the user selected database (ODBC) source.

XC Reports has disconnect from the current database (ODBC) source.

All raw files have been checked for new satellite messages and decoded.

XC Reports is reading the default configuration file which contains user's last program settings.

XC Report has complete reading and applying all the startup parameters and is ready to generate reports.

XC Report is in the process of running the report. Some reports may take some time to complete based on the amount of data requested.

The Crystal Report has completed and is ready for viewing.

Status messages

Below are the status messages XC Decode will display in the decoding status window as it decodes data from the raw files:

  • Are you sure you want to remove xxx from XC Reports?

  • Are you sure you would like to disconnect from current ODBC source?

  • Click Apply button to filter file. Then click Next.

  • Connecting to database...

  • Connected to database ODBC source.

  • Disconnected from database.

  • Database NOT connected.

  • Reading xxx.XFG.

  • Startup parameters loaded.

  • Running... Please wait...

  • Report completed.


Viewing Sensor Data or Post-Processed data

XC Reports, by default, will retrieve data from the sensor data table (XC_DATA1). However, as part of the XConnect database schema, data is also stored in the post processing data table (XC_PPDATA1). XC_PPDATA1 will have data only if you are using XC PostProc. XC PostProc is used to perform some post-processing calculations on the sensor data. Typically, daily or monthly averages, minimums or maximums are examples of post processed data. To graph or list this data, XC Reports needs to switch focus from the sensor data table, XC_DATA1, to the post-processed data table, XC_PPDATA1.

To retrieve data from XC_PPDATA1,

  1. From the Select menu, select Post Processed Data (XC_PPDATA1) option. XC Reports will update the Report Manager with the available post-processing reports.

  2. Continue with normal sensor selection and viewing.

To return to view sensor data from XC_DATA1,

  1. From the Select menu, select Sensor Data (XC_DATA1) option. XC Reports will update the Report Manager with the available standard reports.

  2. Continue with normal sensor selection and viewing.


001 Station Details

The Station Details Report displays a report showing the station database details for all stations in the system (one page per station). This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.ENABLED, XC_SITES.UNIT_ID, XC_SITES.SITE_COMMENT, XC_SITES.SATELLITE_ID, XC_SITES.DISTRICT, XC_SITES.CITY, XC_SITES.COUNTRY, XC_SITES.COUNTY, XC_SITES.STATE, XC_SITES.LATITUDE, XC_SITES.LONGITUDE, XC_SITES.ELEVATION, XC_SITES.WEIGHTING_FACTOR, XC_SITES.PRIMARY_CHANNEL, XC_SITES.RANDOM_CHANNEL, XC_SITES.REPORTING_TIME, XC_SITES.BASIN, XC_SITES.AGENCY, XC_SITES.TZONE_CODE, XC_SITES.GMT_OFFSET`, XC_SITES.SHEF_ID, XC_SITES.INSTALLATION_DATE, XC_SITES.LAST_UPDATE, XC_SITES.ALTERNATE_CHAR_ID_1, XC_SITES.GPNUMBER1, XC_SITES.GPSTRING1, XC_SITES.ALTERNATE_CHAR_ID_2, XC_SITES.GPSTRING2, XC_SITES.GPNUMBER2, XC_SITES.SETUP_FILE_NAME, XC_SITES.PICTURE_FILE_NAME, XC_SITES.REPORTING_INTERVAL, XC_SITES.COEFFICIENT1, XC_SITES.COEFFICIENT2, XC_SITES.COEFFICIENT3

FROM XC_SITES

ORDER BY `XC_SITES`.`STATION_ID`

The example report below was generated on 14 February 2006.


002 Station Details for Selected Stations

The Station Details Report displays a report showing the station database details for user-selected stations in the system (one page per station). The user will be guided by the Report Wizard to select the desired stations.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.ENABLED, XC_SITES.UNIT_ID, XC_SITES.SITE_COMMENT, XC_SITES.SATELLITE_ID, XC_SITES.DISTRICT, XC_SITES.CITY, XC_SITES.COUNTRY, XC_SITES.COUNTY, XC_SITES.STATE, XC_SITES.LATITUDE, XC_SITES.LONGITUDE, XC_SITES.ELEVATION, XC_SITES.WEIGHTING_FACTOR, XC_SITES.PRIMARY_CHANNEL, XC_SITES.RANDOM_CHANNEL, XC_SITES.REPORTING_TIME, XC_SITES.BASIN, XC_SITES.AGENCY, XC_SITES.TZONE_CODE, XC_SITES.GMT_OFFSET, XC_SITES.SHEF_ID, XC_SITES.INSTALLATION_DATE, XC_SITES.LAST_UPDATE, XC_SITES.ALTERNATE_CHAR_ID_1, XC_SITES.GPNUMBER1, XC_SITES.GPSTRING1, XC_SITES.ALTERNATE_CHAR_ID_2, XC_SITES.GPSTRING2, XC_SITES.GPNUMBER2, XC_SITES.SETUP_FILE_NAME, XC_SITES.PICTURE_FILE_NAME, XC_SITES.REPORTING_INTERVAL, XC_SITES.COEFFICIENT1, XC_SITES.COEFFICIENT2, XC_SITES.COEFFICIENT3

FROM XC_SITES

WHERE XC_SITES.STATION_ID`='GUY'

ORDER BY XC_SITES.STATION_ID`

The example report below was generated on 14 February 2006.


003 Station List for Satellite System

The Station List for Satellite System Report displays a report showing the stations in the database that have a non-blank or non-zero SATELLITE ID. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.ENABLED, XC_SITES.SATELLITE_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.RANDOM_CHANNEL, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.SITE_COMMENT

FROM XC_SITES

WHERE (XC_SITES.SATELLITE_ID IS NOT NULL) AND NOT (XC_SITES.SATELLITE_ID=' ' OR XC_SITES.SATELLITE_ID='00000000')

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


004 Station List for Conventional System

The Station List for Conventional System Report displays a report showing the stations in the database that have a non-blank UNIT ID. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.ENABLED, XC_SITES.SITE_COMMENT, XC_SITES.UNIT_ID, XC_SITES.LATITUDE, XC_SITES.LONGITUDE

FROM XC_SITES

WHERE XC_SITES.UNIT_ID IS NOT NULL AND XC_SITES.UNIT_ID<>' '

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


005 Stations Not Reporting Today

The Stations Not Reporting Today Report displays a report showing the enabled stations that do not have data (Last Update) of the current day. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_SITES.UNIT_ID, XC_SITES.BASIN, XC_SITES.ENABLED, XC_SITES.LAST_UPDATE

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y' AND (XC_SITES.LAST_UPDATE IS NULL OR XC_SITES.LAST_UPDATE<{ts '2006-02-14 00:00:00'})

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


006 Stations Not Reporting in 5 Days

The Stations Not Reporting in 5 Days Report displays a report showing the enabled stations that do not have data (Last Update) in the last 5 days. In the sql query below, the report was run on 14 Feb 2006. The report query for dates before 10 Feb 2006. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_SITES.UNIT_ID, XC_SITES.BASIN, XC_SITES.ENABLED, XC_SITES.LAST_UPDATE

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y' AND (XC_SITES.LAST_UPDATE IS NULL OR XC_SITES.LAST_UPDATE<{ts '2006-02-10 00:00:00'})

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


007 Stations Last Update

The Stations Last Update Report displays a report showing all the enabled stations and their Last Update time. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_SITES.UNIT_ID, XC_SITES.ENABLED, XC_SITES.LAST_UPDATE

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y'

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


008 Stations Reporting Today

The Stations Reporting Report displays a report showing all the enabled tations that have Last Updates greater than or equal to the current day. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_SITES.UNIT_ID, XC_SITES.BASIN, XC_SITES.ENABLED, XC_SITES.LAST_UPDATE

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y' AND XC_SITES.LAST_UPDATE>={ts '2006-02-14 00:00:00'}

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


009 Stations Not Reporting Since Selected Time

The Stations Not Reporting Since Selected Time Report displays a report showing the enabled stations that do not have data (Last Update) based on a user-selected time. The user will be guided by the Report Wizard to select the desired stations.

The SQL query used by the report is:

SELECT XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_SITES.UNIT_ID, XC_SITES.BASIN, XC_SITES.ENABLED, XC_SITES.LAST_UPDATE

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y' AND (XC_SITES.LAST_UPDATE IS NULL OR XC_SITES.LAST_UPDATE<{ts '2005-12-25 00:00:00'})

ORDER BY XC_SITES.STATION_ID

The example report below was generated on 14 February 2006.


010 System Sensor Details

The System Sensor Details Report displays a report showing the sensor database details for all stations in the system. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_SITESENSORS.STE_STATION_ID, XC_SITESENSORS.SENSORNAME, XC_SITESENSORS.ENABLED, XC_SITESENSORS.DESCRIPTION, XC_SITESENSORS.MANUFACTURER, XC_SITESENSORS.MODEL_NUMBER, XC_SITESENSORS.SHEF_PE_CODE, XC_SITESENSORS.PARAMETER_CODE, XC_SITESENSORS.HIGH_HIGH_LIMIT, XC_SITESENSORS.HIGH_LIMIT, XC_SITESENSORS.LOW_LOW_LIMIT, XC_SITESENSORS.LOW_LIMIT, XC_SITESENSORS.ROC_LIMIT, XC_SITESENSORS.DEADBAND, XC_SITESENSORS.TEXT_LIMIT, XC_SITESENSORS.HIGH_HIGH_ALARM, XC_SITESENSORS.HIGH_ALARM, XC_SITESENSORS.LOW_ALARM, XC_SITESENSORS.LOW_LOW_ALARM, XC_SITESENSORS.ROC_ALARM, XC_SITESENSORS.NO_CHANGE_ALARM, XC_SITESENSORS.TEXT_ALARM, XC_SITESENSORS.ROC_INTERVAL, XC_SITESENSORS.NO_CHANGE_INTERVAL, XC_SITESENSORS.ALT_PARAMETER_CODE_1, XC_SITESENSORS.ALT_PARAMETER_CODE_2, XC_SITESENSORS.GPNUMBER1, XC_SITESENSORS.GPNUMBER2, XC_SITESENSORS.GPSTRING1, XC_SITESENSORS.GPSTRING2, XC_SITESENSORS.COEFFICIENT1, XC_SITESENSORS.COEFFICIENT2, XC_SITESENSORS.COEFFICIENT3, XC_SITESENSORS.COEFFICIENT4, XC_SITESENSORS.COEFFICIENT5

FROM XC_SITESENSORS

ORDER BY XC_SITESENSORS.STE_STATION_ID, XC_SITESENSORS.SENSORNAME

The example report below was generated on 14 February 2006.


011 Sensor Details for Selected Stations

The Sensor Details for Selected Stations Report displays a report showing the sensor database details for user-selected stations and sensors in the system. The user will be guided by the Report Wizard to select the desired stations and sensors.

The SQL query used by the report is:

SELECT XC_SITESENSORS.STE_STATION_ID, XC_SITESENSORS.SENSORNAME, XC_SITESENSORS.ENABLED, XC_SITESENSORS.DESCRIPTION, XC_SITESENSORS.MANUFACTURER, XC_SITESENSORS.MODEL_NUMBER, XC_SITESENSORS.SHEF_PE_CODE, XC_SITESENSORS.PARAMETER_CODE, XC_SITESENSORS.HIGH_HIGH_LIMIT, XC_SITESENSORS.HIGH_LIMIT, XC_SITESENSORS.LOW_LOW_LIMIT, XC_SITESENSORS.LOW_LIMIT, XC_SITESENSORS.ROC_LIMIT, XC_SITESENSORS.DEADBAND, XC_SITESENSORS.TEXT_LIMIT, XC_SITESENSORS.HIGH_HIGH_ALARM, XC_SITESENSORS.HIGH_ALARM, XC_SITESENSORS.LOW_ALARM, XC_SITESENSORS.LOW_LOW_ALARM, XC_SITESENSORS.ROC_ALARM, XC_SITESENSORS.NO_CHANGE_ALARM, XC_SITESENSORS.TEXT_ALARM, XC_SITESENSORS.ROC_INTERVAL, XC_SITESENSORS.NO_CHANGE_INTERVAL, XC_SITESENSORS.GPSTRING2, XC_SITESENSORS.GPSTRING1, XC_SITESENSORS.ALT_PARAMETER_CODE_1, XC_SITESENSORS.ALT_PARAMETER_CODE_2, XC_SITESENSORS.GPNUMBER1, XC_SITESENSORS.GPNUMBER2, XC_SITESENSORS.COEFFICIENT1, XC_SITESENSORS.COEFFICIENT2, XC_SITESENSORS.COEFFICIENT3, XC_SITESENSORS.COEFFICIENT4, XC_SITESENSORS.COEFFICIENT5

FROM XC_SITESENSORS

WHERE XC_SITESENSORS.STE_STATION_ID='AKERS_FERRY' AND (XC_SITESENSORS.SENSORNAME='BATTERY')

ORDER BY XC_SITESENSORS.STE_STATION_ID, XC_SITESENSORS.SENSORNAME

The example report below was generated on 14 February 2006.


012 Last Reported Battery Value

The Last Reported Battery Value Report displays a report showing the last battery value for all stations. The report looks for sensor names that have BAT or VB as all or part of the name. The report will search up to 30 days past for battery values.

This report uses a sub report to gathers all sensor data with a timestamp greater than 30 days ago. The main report sorts the data looking for sensor names similar to BAT or VB and enabled. Both sql queries are shown below. This reports does not require any user inputs.

The SQL query used by the main report is:

SELECT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.ENABLED, XC_SITESENSORS.SENSORNAME`

FROM XC_SITES

LEFT OUTER JOIN XC_SITESENSORS ON XC_SITES.STATION_ID=XC_SITESENSORS.STE_STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_SITESENSORS.SENSORNAME LIKE 'BAT%' OR XC_SITESENSORS.SENSORNAME LIKE 'VB%')

ORDER BY XC_SITES.STATION_ID

The SQL query used by the embedded sub report is:

SELECT XC_DATA1.TIME_TAG, XC_DATA1.SENSORNAME, XC_DATA1.STATION_ID, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.SENSORNAME='BATTERY' AND `XC_DATA1.STATION_ID`='GUY' AND `XC_DATA1.TIME_TAG`>={ts '2006-01-15 00:00:00'}

ORDER BY XC_DATA1.TIME_TAG DESC

The example report below was generated on 14 February 2006.


013 Last Reported Sensor Value

012 Last Reported Sensor Value

The Last Reported Sensor Value Report displays a report showing the last sensor value for each station. The report will search up to 30 days past for battery values.

This report uses a sub report to gathers all sensor data with a timestamp greater than 30 days ago. The main report sorts the data based on sensor names. Both sql queries are shown below. This reports does not require any user inputs.

The SQL query used by the main report is:

SELECT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.ENABLED, XC_SITESENSORS.SENSORNAME

FROM XC_SITES

LEFT OUTER JOIN XC_SITESENSORS ON XC_SITES.STATION_ID=XC_SITESENSORS.STE_STATION_ID

WHERE
 XC_SITES.ENABLED`=Y
AND XC_SITES.STATION_ID='GUY'
AND XC_SITESENSORS.SENSORNAME='BATTERY'
AND XC_DATA1.SENSORNAME='TEMP'
AND XC_DATA1.SENSORNAME='MAXFLOW'

ORDER BY XC_SITES.STATION_ID

The SQL query used by the embedded sub report is:

SELECT XC_DATA1.TIME_TAG, XC_DATA1.SENSORNAME, XC_DATA1.STATION_ID, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.SENSORNAME='BATTERY' AND XC_DATA1.SENSORNAME='TEMP' AND XC_DATA1.SENSORNAME='MAXFLOW' AND XC AND XC_DATA1.STATION_ID='GUY' AND XC_DATA1.TIME_TAG>={ts '2006-01-16 00:00:00'}

ORDER BY XC_DATA1.TIME_TAG DESC

The example report below was generated on 15 February 2006.


020 All Data

The All Data Report displays a report showing all the data in the database sorted by station name, sensor name and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 15 February 2006.


021 Data for Selected Stations

The Data for Selected Stations Report displays a report showing all data from all sensors for user-selected stations sorted by station name, sensor name and time. The user will be guided by the Report Wizard to select the desired stations.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.STATION_ID`='GUY'

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 15 February 2006.


022 Data for Selected Stations-Sensors

The Data for Selected Stations-Sensors Report displays a report of all the data from user-selected stations and user-selected sensors sorted by station name, sensor name and time. The user will be guided by the Report Wizard to select the desired stations and sensors.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.STATION_ID='GUY' AND XC_DATA1.SENSORNAME='AVGFLOW'

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 15 February 2006.


023 Data for Selected Time Range-Stations-Sensors

The Data for Selected Time Range-Stations-Sensors Report displays a report of sensor data from a user-selected time range, user-selected stations and user-selected sensors sorted by station name, sensor name and time. The user will be guided by the Report Wizard to select the desired time range, stations and sensors.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.STATION_ID='GUY' AND XC_DATA1.SENSORNAME='MAXFLOW' AND (XC_DATA1.TIME_TAG>={ts '2006-02-15 06:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-15 09:02:56'})

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 15 February 2006.


024 Data For Today

The Data For Today Report displays a report showing all the data in the database stored for the current day sorted by station name, sensor name and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.TIME_TAG>={ts '2006-02-16 00:00:00'}

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 16 February 2006.


025 Data For Yesterday

The Data For Today Report displays a report showing all the data in the database stored for the prior day sorted by station name, sensor name and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE (XC_DATA1.TIME_TAG>={ts '2006-02-15 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-16 00:00:00'})

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 16 February 2006.


026 Delta Value for Selected Time Range-Stations-Sensors

The Delta Value for Selected Time Range-Stations-Sensors Report displays a report if sensor data from a user-selected time range, user-selected stations and user-selected sensors sorted by station name, sensor name and time. Additionally, it will calculate the delta between the current value and the prior value. The delta value and the delta time between the two values are displayed beside the data value. The user will be guided by the Report Wizard to select the desired time range, stations and sensors.

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ED_VALUE

FROM XC_DATA1

WHERE XC_DATA1.STATION_ID='GUY' AND XC_DATA1.SENSORNAME='AVGFLOW' AND (XC_DATA1.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-16 08:30:37'})

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 16 February 2006.


030 Satellite Quality Data

The Satellite Quality Data Report displays a report showing all quality records in the database sorted by NESDIS ID and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only. This reports display information related to transmission quality.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


031 Satellite Quality Data For Selected Stations

The Satellite Quality Data For Selected Stations Report displays a report showing quality records for user-selected station(s) in the database sorted by NESDIS ID and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. The user will be guided by the Report Wizard to select the desired stations.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

WHERE XC_GOESQC.STATION_ID='GUY'

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


032 Satellite Quality Data For Selected Stations For Today

The Satellite Quality Data For Selected Stations For Today Report displays a report showing quality records for user-selected station(s) in the database for the current day sorted by NESDIS ID and time. Caution should be used when generating this report. The user will be guided by the Report Wizard to select the desired stations.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

WHERE XC_GOESQC.STATION_ID='AURORA' AND XC_GOESQC.TIME_TAG>={ts '2006-02-16 00:00:00'}

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


033 Satellite Quality Data For Selected Stations For Yesterday

The Satellite Quality Data For Selected Stations For Yesterday Report displays a report showing quality records for user-selected station(s) in the database for the prior day sorted by NESDIS ID and time. Caution should be used when generating this report. The user will be guided by the Report Wizard to select the desired stations.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

WHERE XC_GOESQC.STATION_ID='AURORA' AND XC_GOESQC.TIME_TAG>={ts '2006-02-15 00:00:00'}

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


034 All Satellite Quality Data For Today

The Satellite Quality Data For Today Report displays a report showing all quality records in the database for the current day sorted by NESDIS ID and time. Caution should be used when generating this report. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

WHERE XC_GOESQC.TIME_TAG>={ts '2006-02-16 00:00:00'}

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


035 All Satellite Quality Data For Yesterday

The Satellite Quality For Yesterday Data Report displays a report showing all quality records in the database for the prior day sorted by NESDIS ID and time. Caution should be used when generating this report. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.SOURCE, XC_GOESQC.STATION_ID, XC_GOESQC.FAILURE_CODE, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.CHANNEL, XC_GOESQC.UC_STATUS, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.PARITY

FROM XC_GOESQC

WHERE XC_GOESQC.TIME_TAG>={ts '2006-02-15 00:00:00'}

ORDER BY XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


036 Satellite Performance Analysis

The Satellite Performance Analysis Report displays a report showing satellite uplink transmission information stored in the quality records of the database for a user-selected day sorted by Self-Timed Channel, Station Name, NESDIS ID and time.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Self-Timed Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-14 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-15 00:00:00'})) AND XC_SITES.PRIMARY_CHANNEL IS NOT NULL

ORDER BY XC_SITES.PRIMARY_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


037 Satellite Performance Analysis For Yesterday

The Satellite Performance Analysis For Yesterday Report displays a report showing satellite uplink transmission information stored in the quality records of the database for the prior day sorted by Self-Timed Channel, Station Name, NESDIS ID and time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Self-Timed Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-15 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-16 00:00:00'})) AND XC_SITES.PRIMARY_CHANNEL IS NOT NULL

ORDER BY XC_SITES.PRIMARY_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


038 Satellite Performance Analysis For Today

036 Satellite Performance Analysis For Today

The Satellite Performance Analysis For Today report displays a report showing satellite uplink transmission information stored in the quality records of the database for the current day sorted by Self-Timed Channel, Station Name, NESDIS ID and time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Self-Timed Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-17 00:00:00'})) AND XC_SITES.PRIMARY_CHANNEL IS NOT NULL

ORDER BY XC_SITES.PRIMARY_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


039 Satellite Performance Analysis For Random Channel

The Satellite Performance Analysis For Random Channel Report displays a report showing satellite uplink transmission information stored in the quality records of the database for a user-selected day sorted by Self-Timed Channel, Station Name, NESDIS ID and time.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Random Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.RANDOM_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-14 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-15 00:00:00'})) AND XC_SITES.RANDOM_CHANNEL IS NOT NULL

ORDER BY XC_SITES.RANDOM_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


040 Satellite Performance Analysis For Random Channel Today

The Satellite Performance Analysis For Random Channel Today Report displaying a report shows satellite uplink transmission information stored in the quality records of the database for the current day sorted by Self-Timed Channel, Station Name, NESDIS ID and time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Random Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.RANDOM_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-17 00:00:00'})) AND XC_SITES.RANDOM_CHANNEL IS NOT NULL

ORDER BY XC_SITES.RANDOM_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


041 Satellite Performance Analysis For Random Channel Yesterday

037 Satellite Performance Analysis For Random Channel Yesterday

The Satellite Performance Analysis For Random Channel Yesterday Report displays a report showing satellite uplink transmission information stored in the quality records of the database for the prior day sorted by Self-Timed Channel, Station Name, NESDIS ID and time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Self-Timed Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-15 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-16 00:00:00'})) AND XC_SITES.PRIMARY_CHANNEL IS NOT NULL

ORDER BY XC_SITES.PRIMARY_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


042 Satellite Performance Analysis (QC Only)

The Satellite Performance Analysis (QC Only) Report displays a report showing satellite uplink transmission information stored in the quality records of the database for a user-selected day sorted by Self-Timed Channel, Station Name, NESDIS ID and time. This reports does not require any user inputs.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Unlike reports 038 thru 041, the self-timed channel is not required to be entered in the database for each station. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_GOESQC.CHANNEL, XC_GOESQC.STATION_ID

FROM XC_GOESQC

WHERE (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-17 00:00:00'}))

ORDER BY XC_GOESQC.CHANNEL, XC_GOESQC.STATION_ID, XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 16 February 2006.


043 Rtu Performance Analysis

044 Rtu Performance Analysis For Today

The Rtu Performance Analysis Report displays a report showing polling information stored in the RTU quality records of the database for the current day sorted by Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

This report uses a sub report to gathers all RTU quality records with a timestamp for the user-selected day. The main report sorts the data summarizing the OPCode (Current poll, Date Poll, Alarm). Both sql queries are shown below.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y'

ORDER BY XC_SITES.STATION_ID

The SQL query used by the embedded sub report is:

SELECT DISTINCT XC_RTUQC.TIME_TAG, XC_RTUQC.STATION_ID, XC_RTUQC.RX_TX, XC_RTUQC.OPCODE

FROM XC_RTUQC

WHERE (XC_RTUQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-17 00:00:00'}) AND XC_RTUQC.STATION_ID`='GUY'

ORDER BY XC_RTUQC.STATION_ID

The example report below was generated on 17 February 2006 at 12:10p. The Reporting/Polling Interval for the station GUY is hourly.


044 Rtu Performance Analysis For Today

The Rtu Performance Analysis For Today Report displays a report showing polling information stored in the RTU quality records of the database for the current day sorted by Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

This report uses a sub report to gathers all RTU quality records with a timestamp for the user-selected day. The main report sorts the data summarizing the OPCode (Current poll, Date Poll, Alarm). Both sql queries are shown below.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y'

ORDER BY XC_SITES.STATION_ID

The SQL query used by the embedded sub report is:

SELECT DISTINCT XC_RTUQC.TIME_TAG, XC_RTUQC.STATION_ID, XC_RTUQC.RX_TX, XC_RTUQC.OPCODE

FROM XC_RTUQC

WHERE (XC_RTUQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-17 00:00:00'}) AND XC_RTUQC.STATION_ID`='GUY'

ORDER BY XC_RTUQC.STATION_ID

The example report below was generated on 17 February 2006.


045 Rtu Performance Analysis For Yesterday

The Rtu Performance Analysis For Yesterday Report displays a report showing polling information stored in the RTU quality records of the database for the prior day sorted by Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

This report uses a sub report to gathers all RTU quality records with a timestamp for the user-selected day. The main report sorts the data summarizing the OPCode (Current poll, Date Poll, Alarm). Both sql queries are shown below.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED

FROM XC_SITES

WHERE XC_SITES.ENABLED='Y'

ORDER BY XC_SITES.STATION_ID

The SQL query used by the embedded sub report is:

SELECT DISTINCT XC_RTUQC.TIME_TAG, XC_RTUQC.STATION_ID, XC_RTUQC.RX_TX, XC_RTUQC.OPCODE

FROM XC_RTUQC

WHERE (XC_RTUQC.TIME_TAG>={ts '2006-02-16 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-16 00:00:00'}) AND XC_RTUQC.STATION_ID`='GUY'

ORDER BY XC_RTUQC.STATION_ID

The example report below was generated on 17 February 2006.


046 Rtu Poll Summary

The Rtu Poll Summary Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for a user-selected day sorted by Station Name and date/time.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-23 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-24 00:00:00'}))

ORDER BY XC_SITES.STATION_ID, XC_RTUQC.TIME_TAG

The example report below was generated on 24 February 2006. The Reporting/Polling Interval for the station GUY is hourly.


047 Rtu Poll Summary For Today

The Rtu Poll Summary For Today Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for the current day sorted by Station Name and date/time.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-24 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-25 00:00:00'}))

ORDER BY XC_SITES.STATION_ID, XC_RTUQC.TIME_TAG

The example report below was generated on 24 February 2006. The Reporting/Polling Interval for the station GUY is hourly.


048 Rtu Poll Summary for Yesterday

047 Rtu Poll Summary For Yesterday

The Rtu Poll Summary For Yesterday Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for the prior day sorted by Station Name and date/time.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-24 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-25 00:00:00'}))

ORDER BY XC_SITES.STATION_ID, XC_RTUQC.TIME_TAG

The example report below was generated on 25 February 2006. The Reporting/Polling Interval for the station GUY is hourly.


049 Satellite Performance Analysis Time Range

037 Satellite Performance Analysis Time Range

The Satellite Performance Analysis Time Range Report displays a report showing satellite uplink transmission information stored in the quality records of the database for a user-select time range sorted by Self-Timed Channel, Station Name, NESDIS ID and time. The user will be guided by the Report Wizard to select the desired time range.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Additionally, the Self-Timed Channel must be entered in the Station Database parameter from the Station Setup window in XC Desktop. No data will be generated if the self-timed channel is not entered. Quality records are used on satellite systems only. This reports display information related to uplink transmission parameters.

The SQL query used by the report is:

SELECT XC_GOESQC.NESDIS_ID, XC_GOESQC.TIME_TAG, XC_SITES.STATION_ID, XC_SITES.PRIMARY_CHANNEL, XC_SITES.SATELLITE_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_GOESQC.FAILURE_CODE, XC_GOESQC.PARITY, XC_GOESQC.BUFFER_EMPTY, XC_GOESQC.SIG_STRENGTH, XC_GOESQC.FREQ_OFFSET, XC_GOESQC.MOD_INDEX, XC_GOESQC.MOD_QUAL, XC_GOESQC.BATTERY_VOLTAGE, XC_GOESQC.MESSAGE_LEN, XC_SITES.ENABLED

FROM XC_SITES

LEFT OUTER JOIN XC_GOESQC ON XC_SITES.SATELLITE_ID=XC_GOESQC.NESDIS_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_GOESQC.TIME_TAG IS NULL OR (XC_GOESQC.TIME_TAG>={ts '2006-02-12 00:00:00'} AND XC_GOESQC.TIME_TAG<{ts '2006-02-24 14:13:42'})) AND XC_SITES.PRIMARY_CHANNEL IS NOT NULL

ORDER BY XC_SITES.PRIMARY_CHANNEL, XC_SITES.STATION_ID, XC_SITES.SATELLITE_ID, XC_GOESQC.TIME_TAG

The example report below was generated on 24 February 2006.


050 Data Analysis 1

The Data Analysis 1 Report displays a report summarizing all sensor data stored in XC_DATA1 by total values received, total error values evaluated with flags set (i.e., high high, high, low low, low, rate-of-change..., etc), minimum, maximum and average of all values for a user-selected day sorted by station name, sensor name and date/time.

The SQL query used by the report is:

SELECT DISTINCT XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.FLAG1, XC_DATA1.ED_VALUE, XC_SITES.STATION_ID, XC_DATA1.STATION_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL

FROM XC_SITES XC_SITES LEFT OUTER JOIN XC_DATA1 XC_DATA1 ON XC_SITES.STATION_ID=XC_DATA1.STATION_ID

WHERE (XC_DATA1.STATION_ID IS NULL OR (XC_DATA1.TIME_TAG>={ts '2006-02-22 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-23 00:00:00'}))

ORDER BY XC_SITES.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 24 February 2006.


051 Data Analysis 2

The Data Analysis 2 Report displays a report summarizing all sensor data stored in XC_DATA1 by total values received, total error values evaluated with flags set (i.e., high high, high, low low, low, rate-of-change..., etc), minimum, maximum and average of all values for a user-selected day sorted by station name, sensor name and date/time.

The SQL query used by the report is:

SELECT DISTINCT XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.FLAG1, XC_DATA1.ED_VALUE, XC_SITES.STATION_ID, XC_DATA1.STATION_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL

FROM XC_SITES XC_SITES LEFT OUTER JOIN XC_DATA1 XC_DATA1 ON XC_SITES.STATION_ID=XC_DATA1.STATION_ID

WHERE (XC_DATA1.STATION_ID IS NULL OR (XC_DATA1.TIME_TAG>={ts '2006-02-21 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-22 00:00:00'}))

ORDER BY XC_SITES.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 27 February 2006.


052 Data Analysis 1 For Selected Time Range

The Data Analysis 1 For Selected Time Range Report displays a report summarizing all sensor data stored in XC_DATA1 by total error values received, total values evaluated with flags set (i.e., high high, high, low low, low, rate-of-change..., etc), minimum, maximum and average of all values for a user-selected time range sorted by station name, sensor name and date/time. The user will be guided by the Report Wizard to select the desired time range.

The SQL query used by the report is:

SELECT DISTINCT XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.FLAG1, XC_DATA1.ED_VALUE, XC_SITES.STATION_ID, XC_DATA1.STATION_ID, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL

FROM XC_SITES XC_SITES LEFT OUTER JOIN XC_DATA1 XC_DATA1 ON XC_SITES.STATION_ID=XC_DATA1.STATION_ID

WHERE (XC_DATA1.STATION_ID IS NULL OR (XC_DATA1.TIME_TAG>={ts '2006-02-19 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-24 14:54:51'}))

ORDER BY XC_SITES.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 24 February 2006 for the data ranging from 19 February to 24 February.


053 Rtu Channel Summary

The Rtu Channel Summary Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for a user-selected day sorted by Com port number and Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. The Expected Polls column will not be displayed/calculated correctly if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.PORT, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-25 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-26 00:00:00'}))

ORDER BY XC_RTUQC.PORT, XC_SITES.STATION_ID

The example report below was generated on 27 February 2006.


054 Rtu Channel Summary for Today

The Rtu Channel Summary For Today Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for the current day sorted by Com port number and Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. The Expected Polls column will not be displayed/calculated correctly if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.PORT, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-27 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-28 00:00:00'}))

ORDER BY XC_RTUQC.PORT, XC_SITES.STATION_ID

The example report below was generated on 28 February 2006.


055 Rtu Channel Summary for Yesterday

054 Rtu Channel Summary for Today

The Rtu Channel Summary For Yesterday Report displays a report summarizing polling information and poll responses stored in the RTU quality records of the database for the current day sorted by Com port number and Station Name.

Rtu quality records are stored in the XC_RTUQC if the users checks the Store Quality parameter on the XC Rtu Setup window in XC Desktop. Additionally, the Reporting Time and Reporting Interval must be entered in the Station Database parameter from the Station Setup window in XC Desktop. The Expected Polls column will not be displayed/calculated correctly if the Reporting Interval is not entered. Rtu quality records are used on conventional systems only. This reports display information summarizes polling TX/RX statistics.

The SQL query used by the report is:

SELECT DISTINCT XC_SITES.STATION_ID, XC_SITES.UNIT_ID, XC_SITES.LAST_UPDATE, XC_SITES.REPORTING_TIME, XC_SITES.REPORTING_INTERVAL, XC_SITES.ENABLED, XC_RTUQC.TIME_TAG, XC_RTUQC.STATUS, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC, XC_RTUQC.PORT, XC_RTUQC.RX_TX, XC_RTUQC.RETRIES

FROM XC_SITES XC_SITES INNER JOIN XC_RTUQC XC_RTUQC ON XC_SITES.STATION_ID=XC_RTUQC.STATION_ID

WHERE XC_SITES.ENABLED='Y' AND (XC_RTUQC.TIME_TAG IS NULL OR (XC_RTUQC.TIME_TAG>={ts '2006-02-27 00:00:00'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-28 00:00:00'}))

ORDER BY XC_RTUQC.PORT, XC_SITES.STATION_ID

The example report below was generated on 27 February 2006.


056 Rtu Quality Data For Selected Stations

057 Rtu Quality Data For Selected Time Range-Stations

The Rtu Quality Data For Time Range Selected Stations Report displays a report showing quality records for user-selected station(s) in the database sorted by NESDIS ID and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. The user will be guided by the Report Wizard to select the desired stations.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_RTUQC.STATION_ID, XC_RTUQC.TIME_TAG, XC_RTUQC.RX_TX, XC_RTUQC.PORT, XC_RTUQC.SEQUENCENUM, XC_RTUQC.OPCODE, XC_RTUQC.STATUS, XC_RTUQC.RETRIES, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC

FROM XC_RTUQC

WHERE XC_RTUQC.STATION_ID='GUY' AND (XC_RTUQC.TIME_TAG>={ts '2006-02-27 12:10:10'} AND XC_RTUQC.TIME_TAG<{ts '2006-02-27 15:10:10'})

ORDER BY XC_RTUQC.STATION_ID

The example report below was generated on 27 February 2006 at 15:08 requesting RTU quality data for the last 3 hours.


057 Rtu Quality Data For Selected Time Range Stations

056 Rtu Quality Data For Selected Stations

The Rtu Quality Data For Selected Stations Report displays a report showing quality records for user-selected station(s) in the database sorted by NESDIS ID and time. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. The user will be guided by the Report Wizard to select the desired time range and stations.

Satellite quality records are stored in the XC_GOESQC data table if the users checks the Store Quality parameter on the XC Decode Setup window in XC Desktop. Quality records are used on satellite systems only.

The SQL query used by the report is:

SELECT XC_RTUQC.STATION_ID, XC_RTUQC.TIME_TAG, XC_RTUQC.RX_TX, XC_RTUQC.PORT, XC_RTUQC.SEQUENCENUM, XC_RTUQC.OPCODE, XC_RTUQC.STATUS, XC_RTUQC.RETRIES, XC_RTUQC.GOOD, XC_RTUQC.BAD, XC_RTUQC.CRC

FROM XC_RTUQC

WHERE XC_RTUQC.STATION_ID='GUY'

ORDER BY XC_RTUQC.STATION_ID

The example report below was generated on 27 February 2006.


060 Bad Data For Today

The Bad Data For Today Report displays a report showing all the data in the database stored for the current day sorted by station name, sensor name and time that has a non-zero or non blank threshold flag value. These data have exceeded a user-defined threshold evaluate either by the field station (RTU) or XC Alarm. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

XC Alarm can evaluate sensor thresholds. Sensor threshold values are entered in XC Desktop on the Sensor Setup window - Database Fields. XC Alarm will enter a "+1" or "-1" in the appropriate flag fields (high high, high, lowlow, low, rate-of-change, no-change...,etc) if the sensor value has exceeded the threshold(s).

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE, XC_DATA1.FLAG1, XC_DATA1.FLAG2, XC_DATA1.FLAG3, XC_DATA1.FLAG4, XC_DATA1.HIGH_HIGH_FLAG, XC_DATA1.HIGH_FLAG, XC_DATA1.LOW_FLAG, XC_DATA1.LOW_LOW_FLAG, XC_DATA1.ROC_FLAG, XC_DATA1.NO_CHG_FLAG

FROM XC_DATA1

WHERE XC_DATA1.TIME_TAG>={ts '2006-02-27 00:00:00'} AND (XC_DATA1.FLAG1 IS NOT NULL AND XC_DATA1.FLAG1<>' ' OR XC_DATA1.FLAG2 IS NOT NULL AND XC_DATA1.FLAG2<>' ' OR XC_DATA1.FLAG3` IS NOT NULL AND XC_DATA1.FLAG3<>' ' OR XC_DATA1.FLAG4 IS NOT NULL AND XC_DATA1.FLAG4<>' ' OR XC_DATA1.HIGH_HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_HIGH_FLAG`<>0 OR XC_DATA1.HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_FLAG<>0 OR XC_DATA1.LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_FLAG`<>0 OR XC_DATA1.LOW_LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_LOW_FLAG<>0 OR XC_DATA1.ROC_FLAG IS NOT NULL AND XC_DATA1.ROC_FLAG<>0 OR XC_DATA1.NO_CHG_FLAG IS NOT NULL AND XC_DATA1.NO_CHG_FLAG<>0)

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 27 February 2006.


061 Bad Data For Yesterday

The Bad Data For Yesterday Report displays a report showing all the data in the database stored for the prior day sorted by station name, sensor name and time that has a non-zero or non blank threshold flag value. These data have exceeded a user-defined threshold evaluate either by the field station (RTU) or XC Alarm. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. This reports does not require any user inputs.

XC Alarm can evaluate sensor thresholds. Sensor threshold values are entered in XC Desktop on the Sensor Setup window - Database Fields. XC Alarm will enter a "+1" or "-1" in the appropriate flag fields (high high, high, lowlow, low, rate-of-change, no-change...,etc) if the sensor value has exceeded the threshold(s).

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE, XC_DATA1.FLAG1, XC_DATA1.FLAG2, XC_DATA1.FLAG3, XC_DATA1.FLAG4, XC_DATA1.HIGH_HIGH_FLAG, XC_DATA1.HIGH_FLAG, XC_DATA1.LOW_FLAG, XC_DATA1.LOW_LOW_FLAG, XC_DATA1.ROC_FLAG, XC_DATA1.NO_CHG_FLAG

FROM XC_DATA1

WHERE (XC_DATA1.FLAG1 IS NOT NULL AND XC_DATA1.FLAG1<>' ' OR XC_DATA1.FLAG2 IS NOT NULL AND XC_DATA1.FLAG2<>' ' OR XC_DATA1.FLAG3 IS NOT NULL AND XC_DATA1.FLAG3<>' ' OR XC_DATA1.FLAG4 IS NOT NULL AND XC_DATA1.FLAG4<>' ' OR XC_DATA1.HIGH_HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_HIGH_FLAG<>0 OR XC_DATA1.HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_FLAG<>0 OR XC_DATA1.LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_FLAG<>0 OR XC_DATA1.LOW_LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_LOW_FLAG<>0 OR XC_DATA1.ROC_FLAG IS NOT NULL AND XC_DATA1.ROC_FLAG<>0 OR XC_DATA1.NO_CHG_FLAG` IS NOT NULL AND XC_DATA1.NO_CHG_FLAG<>0) AND (XC_DATA1.TIME_TAG>={ts '2006-02-26 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-27 00:00:00'})

ORDER BY `XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG`

The example report below was generated on 27 February 2006.


062 Bad Data For Selected Time Range

The Bad Data For Yesterday Report displays a report showing all the data in the database stored for a user-selected time range sorted by station name, sensor name and time that has a non-zero or non blank threshold flag value. These data have exceeded a user-defined threshold evaluate either by the field station (RTU) or XC Alarm. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. The user will be guided by the Report Wizard to select the desired time range.

XC Alarm can evaluate sensor thresholds. Sensor threshold values are entered in XC Desktop on the Sensor Setup window - Database Fields. XC Alarm will enter a "+1" or "-1" in the appropriate flag fields (high high, high, lowlow, low, rate-of-change, no-change...,etc) if the sensor value has exceeded the threshold(s).

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE, XC_DATA1.FLAG1, XC_DATA1.FLAG2, XC_DATA1.FLAG3, XC_DATA1.FLAG4, XC_DATA1.HIGH_HIGH_FLAG, XC_DATA1.HIGH_FLAG, XC_DATA1.LOW_FLAG, XC_DATA1.LOW_LOW_FLAG, XC_DATA1.ROC_FLAG, XC_DATA1.NO_CHG_FLAG

FROM XC_DATA1

WHERE (XC_DATA1.FLAG1 IS NOT NULL AND XC_DATA1.FLAG1<>' ' OR XC_DATA1.FLAG2 IS NOT NULL AND XC_DATA1.FLAG2<>' ' OR XC_DATA1.FLAG3 IS NOT NULL AND XC_DATA1.FLAG3<>' ' OR XC_DATA1.FLAG4 IS NOT NULL AND XC_DATA1.FLAG4<>' ' OR XC_DATA1.HIGH_HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_HIGH_FLAG<>0 OR XC_DATA1.HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_FLAG<>0 OR XC_DATA1.LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_FLAG<>0 OR XC_DATA1.LOW_LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_LOW_FLAG<>0 OR XC_DATA1.ROC_FLAG IS NOT NULL AND XC_DATA1.ROC_FLAG<>0 OR XC_DATA1.NO_CHG_FLAG` IS NOT NULL AND XC_DATA1.NO_CHG_FLAG<>0) AND (XC_DATA1.TIME_TAG>={ts '2006-02-26 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-27 00:00:00'})

ORDER BY `XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG`

The example report below was generated on 27 February 2006.


063 Bad Data For Selected Time Range-Stations-Sensors

The Bad Data For Selected Time Range-Stations-Sensors Report displays a report showing all the data in the database stored for a user-selected time range sorted by station name, sensor name and time that has a non-zero or non blank threshold flag value. These data have exceeded a user-defined threshold evaluate either by the field station (RTU) or XC Alarm. Caution should be used when generating this report. Depending on the amount of data stored in he database, the report may take a considerable amount of time. The user will be guided by the Report Wizard to select the desired time range and stations.

XC Alarm can evaluate sensor thresholds. Sensor threshold values are entered in XC Desktop on the Sensor Setup window - Database Fields. XC Alarm will enter a "+1" or "-1" in the appropriate flag fields (high high, high, lowlow, low, rate-of-change, no-change...,etc) if the sensor value has exceeded the threshold(s).

The SQL query used by the report is:

SELECT XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG, XC_DATA1.SOURCE, XC_DATA1.ORIG_VALUE, XC_DATA1.ED_VALUE, XC_DATA1.FLAG1, XC_DATA1.FLAG2, XC_DATA1.FLAG3, XC_DATA1.FLAG4, XC_DATA1.HIGH_HIGH_FLAG, XC_DATA1.HIGH_FLAG, XC_DATA1.LOW_FLAG, XC_DATA1.LOW_LOW_FLAG, XC_DATA1.ROC_FLAG, XC_DATA1.NO_CHG_FLAG

FROM XC_DATA1

WHERE XC_DATA1.STATION_ID='GUY' AND XC_DATA1.SENSORNAME='FLOW' AND (XC_DATA1.TIME_TAG>={ts '2006-02-27 00:00:00'} AND XC_DATA1.TIME_TAG<{ts '2006-02-27 16:16:05'}) AND (XC_DATA1.FLAG1 IS NOT NULL AND XC_DATA1.FLAG1<>' ' OR XC_DATA1.FLAG2 IS NOT NULL AND XC_DATA1.FLAG2<>' ' OR XC_DATA1.FLAG3 IS NOT NULL AND XC_DATA1.FLAG3<>' ' OR XC_DATA1.FLAG4 IS NOT NULL AND XC_DATA1.FLAG4<>' ' OR XC_DATA1.HIGH_HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_HIGH_FLAG`<>0 OR XC_DATA1.HIGH_FLAG IS NOT NULL AND XC_DATA1.HIGH_FLAG<>0 OR XC_DATA1.LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_FLAG<>0 OR XC_DATA1.LOW_LOW_FLAG IS NOT NULL AND XC_DATA1.LOW_LOW_FLAG<>0 OR XC_DATA1.ROC_FLAG IS NOT NULL AND XC_DATA1.ROC_FLAG<>0 OR XC_DATA1.NO_CHG_FLAG IS NOT NULL AND XC_DATA1.NO_CHG_FLAG<>0)

ORDER BY XC_DATA1.STATION_ID, XC_DATA1.SENSORNAME, XC_DATA1.TIME_TAG

The example report below was generated on 27 February 2006.


Troubleshooting tips

Network errors can potentially be the source of most errors in XC Reports. In most cases, databases are stored on separate network servers. If a sudden loss of network connectivity should occur, reports will fail to generate. Ensure network access is available to the network database server as well as the correct login privileges. Again, in a large network where the database is on a separate server, verify your database login name and password with you network administrator.

On small systems using Access as you database, the Access database (.MDB) may or may not be stored in the same PC. Make sure, for all Data Sources configurations, the data source is configured as a system resource (System DSN) and not as a user resource. Access, based on the data source configuration, may or may not require a password. Verify any login parameters.

There is a chance that the Crystal Report file (.RPT) may become corrupt. If so, the user can copy or re-install the file from the XConnect installation CD.


Error messages

Troubleshooting steps:

Ensure that:

  • Current XConnect application is part of the purchased XConnect license.

Refer to the original purchase order.

Troubleshooting steps:

Potential reasons for error:

  • Current XConnect application is not valid for use with existing XConnect license.

Call Sutron Sales to upgrade XConnect license.

Troubleshooting steps:

Potential reasons for error:

  • The database configuration has changed on the current machine/network PC or has XConnect been installed on a new PC where the Data Source is not configured.

Verify the Data Source (ODBC) settings for XConnect database.

Check settings in Data Sources control applet either in the Control Panel or in Administrative Tools.

Verify user name and password are correct for database login.

Troubleshooting steps:

Potential reasons for error:

  • Selected report has been moved from original locations.

In the Report Manager, select the View|Report List|Details. The third column in the Details view displays the expected file location. Using Windows Explorer, verify the file is present on the hard disk.

Troubleshooting steps:

Potential reasons for error:

  • The report, when added to XC Reports, was not enabled.

Highlight the report in the Report Manager. From the main menu, select Reports|Report Setup or click [image] from the toolbar. Check the Enabled box to enable the report.

Troubleshooting steps:

Potential reasons for error:

  • Report is not properly configured. For, example, input selections were check in the Report setup when the report was added to XC Reports, but input is not required.

Highlight the report in the Report Manager. From the main menu, select Reports|Report Setup or click [image] from the toolbar. Correct errors in the report setup.

Troubleshooting steps:

Potential reasons for error:

  • While trying to add a new report to the report manager, XC Reports was unable to save user settings in the XCReports.XFG file.

In Windows Explorer, ensure the file is in the XConnect installation directory and it is not marked as READ-ONLY.

Troubleshooting steps:

Potential reasons for error:

  • While adding a new report to the Report Manager, the Report Title was left blank. This is the title or text that XC Report will display in the Report Manager.

Enter report title name for new Crystal Report.

Troubleshooting steps:

Potential reasons for error:

  • While adding a new report to the Report Manager, the file name of the new report was left blank.

Enter/select Crystal Report (.RPT) file on PC.

Troubleshooting steps:

Potential reasons for error:

  • While adding a new report to the Report Manager, the Report Title was entered does not exist.

Enter report title name for new Crystal Report or use the Browse button to browse files on PC.

Troubleshooting steps:

Potential reasons for error:

  • An invalid category was selected from the category list while adding a report to XC Reports

Select a valid category from the Category list.

Troubleshooting steps:

Potential reasons for error:

  • Database is down due to a network error.

Verify the network or database PC is functioning properly. Check with your network administrator.

  • Database drivers are incorrect or corrupt.

Check and verify the settings the Data Sources (ODBC) configuration.

Access the database using another application on the PC that also uses ODBC.

Access the database from another computer that also has the database source configured.

Download ODBC drivers from Windows' or the database vendors' web site.

Troubleshooting steps:

Potential reasons for error:

  • The user selected the Apply Filter button in the Report Wizard, however a filter file was not specified.

Enter filter file name and then select Apply Filter.

Troubleshooting steps:

Potential reasons for error:

  • Filter file may be corrupt or incorrect.

Using Notepad, open the filter file. Filter files are ASCII files and are readable in Notepad.

Re-create the filter file in XC DataView.

Troubleshooting steps:

Potential reasons for error:

  • Once a report has been added, the user can modify the report settings by highlight the report and selecting Report|Report Setup. After changes, XC Report was unable to update the user changes to the XCReports.XFG

In Windows Explorer, ensure the file is in the XConnect installation directory and it is not marked as READ-ONLY.

Ensure another application does not have this file open.

Troubleshooting steps:

Potential reasons for error:

  • , XC Report was unable to update category change to the XCReports.XFG

In Windows Explorer, ensure the file is in the XConnect installation directory and it is not marked as READ-ONLY.

Ensure another application does not have this file open.

Troubleshooting steps:

Potential reasons for error:

  • XC Report was unable to add the new file to the XCReports.XFG and thus the list view.

In Windows Explorer, ensure the file is in the XConnect installation directory and it is not marked as READ-ONLY.

Ensure another application does not have this file open.

Troubleshooting steps:

Potential reasons for error:

  • XC Report was unable to erase the report entry in the XCReports.XFG

In Windows Explorer, ensure the file is in the XConnect installation directory and it is not marked as READ-ONLY.

Ensure another application does not have this file open.

Troubleshooting steps:

Potential reasons for error:

  • Crystal report file may be corrupt.

Copy report (RPT) file from XConnect installation CD.

  • Abrupt loss of network.

Check network connection (Network neighborhood) or contact your network administrator.

Troubleshooting steps:

Potential reasons for error:

  • Crystal report file may be corrupt.

Copy report (RPT) file from XConnect installation CD.

  • Abrupt loss of network.

Check network connection (Network neighborhood) or contact your network administrator.

Troubleshooting steps:

Potential reasons for error:

  • This error may be generated during the debug mode of XC Reports. In the debug mode, the actual SQL string will be returned.

Troubleshooting steps:

Potential reasons for error:

  • An invalid start time was entered. Start time must be earlier than the end time.

Error Messages

Potential error messages generated by XC Reports are:

Error 8: Invalid License Key. Please verify XConnect is properly installed.

Error 9: Invalid License Key. Exiting now...

Error 1200: Unable to connect to database.

Error 1201: Crystal Reports file does not exist.

Error 1202: Report file xxx is not enabled.

Error 1203: Unable to set Crystal Reports run parameters.

Error 1204: Unable to save new report information.

Error 1205: Report Title can not be empty. Please try again.

Error 1206: Crystal Reports file not selected.

Error 1207: xxx.rpt does not exist.

Error 1208: Invalid report category selected.

Error 1209: Data operation error. Unable to read from database.

Error 1210: Filter file not selected.

Error 1211: Unable to load filter file.

Error 1212: Unable to update report information.

Error 1213: Unable to add category - category file.

Error 1214: Unable to add Crystal Reports file xxx into list view.

Error 1215: Unable to remove the xxx from XC Reports.

Error 1216: Unable to load/refresh report properties.

Error 1217: Unable to run/generate report.

Error 1218: Failed to get SQL string from Crystal Reports.

Error 1219: The starting time must be earlier than the ending time.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Print Setup -- opens Windows print setup dialog box.

  • Print -- prints current report.

  • Export -- opens export dialog box.

  • Exit -- terminates the application.

Database

  • Connect -- opens a dialog box to select database source as defined in Data Sources (ODBC) control applet.

  • Disconnect -- disconnects from current database source.

Reports

  • Run Report -- runs the currently selected/highlighted report.

  • Reload Last Report -- re-runs last report and refreshes with latest data.

  • Register Report -- starts report wizard to add another report to the Report Manager.

  • Remove Report -- removes the currently selected/highlighted report from the Report Manager.

  • Report Setup -- allows user to modify setup parameters of currently selected/highlighted report.

  • Report Properties -- allows user to toggle display of Report Properties panel.

  • Search for Reports -- searches for reports on hard disk.

View

  • Report Manager -- shows Report Manager view which displays available reports.

  • Crystal Report Viewer -- shows Report Viewer view which displays current report.

Help

  • XC Reports Help -- access this help system an defaults to Index tab.

  • XC Reports Contents -- access this help system an defaults to Contents

  • About -- get version information for this application.


Report Manager

The Report Manager displays all the reports available in XC Reports in a Windows Explorer style view. Reports can be displayed as large icons, small icons or as Details. The user can easily toggle between the Report Manager and the Report Viewer views. The ease and power of Crystal Reports allows new reports to be added to XC Reports.


Report Properties

The Report Properties panel displays information and properties of a highlighted report. The panel is has 3 groups of information: Summary, Statistics and Settings. The panel can be closed by click in the [image] on the upper right hand corner. To display the panel after it has been closed, from the main menu select Report|Report Properties or click the [image] on the toolbar.

Report Summary

The Report summary displays the document properties. Upon creating the report, the user can, optionally, complete the document summary information. Selecting properties in Windows Explorer will also display summary information on a document/file.

  • Title - Title of document/report.

  • Subject - Subject of document/report.

  • Author - Author of document/report.

  • Category - Category of document/report

  • Comments - Author comments regarding document/report.

  • Keywords - Keywords associated with this document/report.

Report Statistics

  • File Name - Disk file name of document/report.

  • Created - Creation date of document/report.

  • Saved - Last saved date of document/report.

  • Accessed - Last access date of document/report.

Report Settings

  • Enabled - This flag, if checked, indicates the report is active and can be run. A report must be enabled to be run.

  • Time Range Required - This flag indicates whether a time range selection is required to run the report.

  • Filter File Required - This flag indicates whether a filter file is required to run the report.

  • Station Selection Required - This flag indicates whether a station selection is required to run the report.

  • Sensor Selection Required - This flag indicates whether a sensor selection is required to run the report.


Report Viewer

The Report Viewer view will contain the results of the report. When the user runs a report, XC Reports will display the final report in the Report Viewer. The user can easily toggle between the Report Manager ( [image]) and the Report Viewer views ( [image]).


StatusBar

The Status Bar

The Status Bar is divided in two sections. The left-hand panel displays status messages. The right-hand panel displays parameter hints.


Toolbar

The XC Reports Toolbar

The toolbar area allows you to quickly access various XC Reports functions.

The following tools are provided:

Open dialog box to select database source as defined in Data Sources (ODBC) control applet.

Disconnect from current database source.

Run the currently selected/highlighted report.

Re-run last report and refresh with latest data.

Start report wizard to add another report to the Report Manager.

Remove the currently selected/highlighted report from the Report Manager.

Edit report setup parameters.

Toggle display of Report Properties panel.

Show Report Manager view.

Show Report Viewer view.

Select view options (display items using as large icons, small icons, list or detail list).

Print current report.

Export current report.

Open the on-line help (this document).